package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import top.xinsin.pojo.AuthAccount;
import top.xinsin.service.AccountService;
import top.xinsin.util.R;

/**
 * @author xinsin
 * Created On 2023/4/24 21:05
 * @version 1.0
 */

@RestController
@RequestMapping("/account")
public class AccountController {
    @Autowired
    private AccountService accountService;

    @RequestMapping(path = "/changeAccount", method = RequestMethod.POST)
    public R<String> changeAccount(@RequestBody AuthAccount authAccount) {return this.accountService.changeAccount(authAccount);}

    @RequestMapping(path = "/changeStatus", method = RequestMethod.GET)
    public R<String> changeStatus(@RequestParam("userId") Integer userId, @RequestParam("status") Boolean status) {return this.accountService.changeStatus(userId, status);}

    @RequestMapping(path = "/changePassword", method = RequestMethod.POST)
    public R<String> changePassword(@RequestParam("userId") Integer userId, @RequestParam("oldPassword") String oldPassword, @RequestParam("newPassword") String newPassword) {return this.accountService.changePassword(userId, oldPassword, newPassword);}

    @RequestMapping(path = "/delUser", method = RequestMethod.GET)
    public R<String> delUser(@RequestParam("id") Integer id) {return this.accountService.delUser(id);}

    @RequestMapping(path = "/getUser", method = RequestMethod.GET)
    public R<JSONObject> getUser(@RequestParam("page") Integer page, @RequestParam("num") Integer num) {return this.accountService.getUser(page, num);}
}
